$parent: "catalog-card";

@include block($parent) {
  width: 100%;
  height: 100%;
  background-color: var(--color-gray-700);
  display: flex;
  flex-direction: column;

  @include element($parent, 'top') {
    display: flex;
    background-color: var(--color-gray-100);
    height: 100%;
  }

  @include element($parent, 'title') {
    margin: auto;
    color: var(--color-black-100);
  }

  @include element($parent, 'bottom') {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: rem(16);
    min-height: rem(80);
    background-color: var(--color-gray-200);
  }
}
